const START_DATE = new Date(2021, 01, 11);
const END_DATE = new Date();
const MAX_DATES = 1500;;
const dateFns = require('date-fns');
const randomNumber = (max) => Math.floor(Math.random() * max);
const url = require('url');
const DAY_DIFF = dateFns.differenceInDays(END_DATE, START_DATE);;
const getRandomDate = (dateFormat, startDate, dayDiff) => dateFns.format(dateFns.addDays(startDate, randomNumber(dayDiff)), dateFormat);;
exports.endpoint = (req, res) => {
    const parsedUrl = url.parse(req.url, true);
    console.log(parsedUrl);
    const dateFormat = 'format' in parsedUrl.query ? parsedUrl.query.format : 'dd-MM-yyyy';
    const list = Array.from({ length: MAX_DATES }, () => getRandomDate(dateFormat, START_DATE, DAY_DIFF))
    res.end(list.join("\n"))
};
